org.apache.hc.client5.http.cookie

## Class CookieRestrictionViolationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hc.core5.http.HttpException
      - - org.apache.hc.core5.http.ProtocolException
        - - org.apache.hc.client5.http.cookie.MalformedCookieException
          - - org.apache.hc.client5.http.cookie.CookieRestrictionViolationException

- All Implemented Interfaces:
    Serializable

      public class CookieRestrictionViolationException
      extends MalformedCookieException

  Signals that a cookie violates a restriction imposed by the cookie specification.
  Since:
    4.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieRestrictionViolationException()` Creates a new CookeFormatViolationException with a `null` detail message.
    `CookieRestrictionViolationException(String message)` Creates a new CookeRestrictionViolationException with a specified message string.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CookieRestrictionViolationException

          public CookieRestrictionViolationException()

      Creates a new CookeFormatViolationException with a `null` detail message.

    - #### CookieRestrictionViolationException

          public CookieRestrictionViolationException(String message)

      Creates a new CookeRestrictionViolationException with a specified message string.
      Parameters:
        `message` - The exception detail message

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.